4 Replies Latest reply: Jan 7, 2013 7:04 PM by AnaMusic
dizz01 Level 1 Level 1 (0 points)

I just got a 5th generation iTouch, which requires iTunes 7.  I have a MacBook 10.5.8, which does not support iTunes 7. What can I do?


iPod touch, Mac OS X (10.5.8)